Memory Stores
Search memories
Searches the specified memory store for memories relevant to the provided conversation context.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Pfadparameter
name
string
Erforderlich
The name of the memory store to search.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Anforderungstext
scope
string
Erforderlich
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Items for which to search for relevant memories.
previous_search_id
string
The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.
options
MemorySearchOptions
Memory search options.
max_memories
integer
Maximum number of memory items to return.
Antworten
The request has succeeded.
Text
search_id
string
Erforderlich
The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.
memories
MemorySearchItem[]
Erforderlich
Related memory items found during the search operation.
usage
MemoryStoreOperationUsage
Erforderlich
Usage statistics of a memory store operation.
embedding_tokens
integer
Erforderlich
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
Erforderlich
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
Erforderlich
Anfordern
POST /memory_stores/{name}:search_memories HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json